SystemOrganization addCategory: #'Seaside-Tests-Webdriver'!

BPWebDriverTestCase subclass: #WAWebDriverTestCase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Webdriver'!

WAWebDriverTestCase subclass: #WAWebDriverFunctionalTestCase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Webdriver'!

!WAWebDriverFunctionalTestCase methodsFor: 'running' stamp: 'JohanBrichau 3/1/2014 19:16'!
componentClass

	^ WAAllFunctionalTests ! !

!WAWebDriverFunctionalTestCase methodsFor: 'helpers' stamp: 'JohanBrichau 3/1/2014 19:30'!
selectTest: aName
	|select|
	
	select := BPSelect on: (driver findElementByCSSSelector: 'form>p>select').
	select selectByVisibleText: aName.! !

!WAWebDriverFunctionalTestCase methodsFor: 'testing' stamp: 'JohanBrichau 5/2/2014 21:37'!
testBatchFunctionalTest
	self selectTest: 'WABatchFunctionalTest'.
	
	(driver findElementByPartialLinkText: 'S') click.
	self assert: ((driver findElementsByTagName: 'li') anySatisfy: [ :li | li getText = 'Stack' ]).
	
	(driver findElementByPartialLinkText: '<<') click.
	self assert: ((driver findElementsByTagName: 'li') anySatisfy: [ :li | li getText = 'RunArray' ]).! !

!WAWebDriverFunctionalTestCase methodsFor: 'testing' stamp: 'JohanBrichau 5/2/2014 21:17'!
testButtonFunctionalTest
	self selectTest: 'WAButtonFunctionalTest'.
	
	(driver findElementByCSSSelector: 'input[type=text]') click.
	driver getKeyboard sendKeys: 'At the Seaside!!'.
	
	self assert: (driver findElementByTagName: 'td') getText = 'a text'.	
	(driver findElementByCSSSelector: 'button[type=submit]') click.
	self assert: (driver findElementByTagName: 'td') getText = 'a textAt the Seaside!!'.

	(driver findElementByCSSSelector: 'input[type=text]') click.
	driver getKeyboard sendKeys: (String with: BPKeys backSpace with: BPKeys backSpace).
	(driver findElementByCSSSelector: 'input[type=text]') getText = 'a textAt the Seasid'.
	(driver findElementByCSSSelector: 'button[type=reset]') click.
	(driver findElementByCSSSelector: 'input[type=text]') getText = 'a textAt the Seaside!!'.! !
